Package org.apache.tools.ant.taskdefs.email

## Class EmailTask.Encoding

- java.lang.Object
- - org.apache.tools.ant.types.EnumeratedAttribute
  - - org.apache.tools.ant.taskdefs.email.EmailTask.Encoding

- Enclosing class:
    EmailTask

      public static class EmailTask.Encoding
      extends EnumeratedAttribute

  Enumerates the encoding constants.

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

      `value`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Encoding()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String[]` | `getValues()` | finds the valid encoding values

    - ### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

      `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Encoding

          public Encoding()

  - ### Method Detail

    - #### getValues

          public java.lang.String[] getValues()

      finds the valid encoding values
      Specified by:
        `getValues` in class `EnumeratedAttribute`
      Returns:
        a list of valid entries